aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.DeleteGroup

Synopsis

- data DeleteGroup = DeleteGroup Text
- data DeleteGroupResponse = DeleteGroupResponse

# Documentation

data DeleteGroup #

Deletes the specified group.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_DeleteGroup.html

Constructors

DeleteGroup Text |

#### Instances

Instances details

SignQuery DeleteGroup # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroup

Associated Types

type ServiceConfiguration DeleteGroup |
Instance details Defined in Aws.Iam.Commands.DeleteGroup type ServiceConfiguration DeleteGroup = IamConfiguration

Methods

signQuery :: DeleteGroup -> ServiceConfiguration DeleteGroup queryType -> SignatureData -> SignedQuery #

Show DeleteGroup # |
Instance details Defined in Aws.Iam.Commands.DeleteGroup Methods showsPrec :: Int -> DeleteGroup -> ShowS # show :: DeleteGroup -> String # showList :: [DeleteGroup] -> ShowS #
Eq DeleteGroup # |
Instance details Defined in Aws.Iam.Commands.DeleteGroup Methods (==) :: DeleteGroup -> DeleteGroup -> Bool # (/=) :: DeleteGroup -> DeleteGroup -> Bool #
Ord DeleteGroup # |
Instance details Defined in Aws.Iam.Commands.DeleteGroup Methods compare :: DeleteGroup -> DeleteGroup -> Ordering # (<) :: DeleteGroup -> DeleteGroup -> Bool # (<=) :: DeleteGroup -> DeleteGroup -> Bool # (>) :: DeleteGroup -> DeleteGroup -> Bool # (>=) :: DeleteGroup -> DeleteGroup -> Bool # max :: DeleteGroup -> DeleteGroup -> DeleteGroup # min :: DeleteGroup -> DeleteGroup -> DeleteGroup #
ResponseConsumer DeleteGroup DeleteGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroup

Associated Types

type ResponseMetadata DeleteGroupResponse |
Instance details Defined in Aws.Iam.Commands.DeleteGroup type ResponseMetadata DeleteGroupResponse = IamMetadata

Methods

responseConsumer :: Request -> DeleteGroup -> IORef (ResponseMetadata DeleteGroupResponse) -> HTTPResponseConsumer DeleteGroupResponse #

Transaction DeleteGroup DeleteGroupResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteGroup
type ServiceConfiguration DeleteGroup # |
Instance details Defined in Aws.Iam.Commands.DeleteGroup type ServiceConfiguration DeleteGroup = IamConfiguration

data DeleteGroupResponse #

Constructors

DeleteGroupResponse |

#### Instances

Instances details

AsMemoryResponse DeleteGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroup

Associated Types

type MemoryResponse DeleteGroupResponse |
Instance details Defined in Aws.Iam.Commands.DeleteGroup type MemoryResponse DeleteGroupResponse = DeleteGroupResponse

Methods

loadToMemory :: DeleteGroupResponse -> ResourceT IO (MemoryResponse DeleteGroupResponse) #

Show DeleteGroupResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteGroup Methods showsPrec :: Int -> DeleteGroupResponse -> ShowS # show :: DeleteGroupResponse -> String # showList :: [DeleteGroupResponse] -> ShowS #
Eq DeleteGroupResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteGroup Methods (==) :: DeleteGroupResponse -> DeleteGroupResponse -> Bool # (/=) :: DeleteGroupResponse -> DeleteGroupResponse -> Bool #
Ord DeleteGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroup

Methods

compare :: DeleteGroupResponse -> DeleteGroupResponse -> Ordering #

(<) :: DeleteGroupResponse -> DeleteGroupResponse -> Bool #

(<=) :: DeleteGroupResponse -> DeleteGroupResponse -> Bool #

(>) :: DeleteGroupResponse -> DeleteGroupResponse -> Bool #

(>=) :: DeleteGroupResponse -> DeleteGroupResponse -> Bool #

max :: DeleteGroupResponse -> DeleteGroupResponse -> DeleteGroupResponse #

min :: DeleteGroupResponse -> DeleteGroupResponse -> DeleteGroupResponse #

ResponseConsumer DeleteGroup DeleteGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroup

Associated Types

type ResponseMetadata DeleteGroupResponse |
Instance details Defined in Aws.Iam.Commands.DeleteGroup type ResponseMetadata DeleteGroupResponse = IamMetadata

Methods

responseConsumer :: Request -> DeleteGroup -> IORef (ResponseMetadata DeleteGroupResponse) -> HTTPResponseConsumer DeleteGroupResponse #

Transaction DeleteGroup DeleteGroupResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteGroup
type MemoryResponse DeleteGroupResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteGroup type MemoryResponse DeleteGroupResponse = DeleteGroupResponse
type ResponseMetadata DeleteGroupResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteGroup type ResponseMetadata DeleteGroupResponse = IamMetadata